# ``twisted`.`internet`.`endpoints`.`_SystemdParser``

class documentation

`class _SystemdParser: (source)`

Implements interfaces: `twisted.internet.interfaces.IStreamServerEndpointStringParser`, `twisted.plugin.IPlugin`

View In Hierarchy

Stream server endpoint string parser for the systemd endpoint type.

Method | `parseStreamServer` | Parse a stream server endpoint from a reactor and string-only arguments and keyword arguments.
Instance Variable | `prefix` | See `IStreamServerEndpointStringParser.prefix`.
Method | `_parseServer` | Internal parser function for `_parseServer` to convert the string arguments for a systemd server endpoint into structured arguments for `AdoptedStreamServerEndpoint`.
Instance Variable | `_sddaemon` | A `ListenFDs` instance used to translate an index into an actual file descriptor.

def parseStreamServer(self, reactor, *args, **kwargs): (source)
from `twisted.internet.interfaces.IStreamServerEndpointStringParser`
Parse a stream server endpoint from a reactor and string-only arguments and keyword arguments.

Returns
a stream server endpoint
See Also
`IStreamClientEndpointStringParserWithReactor.parseStreamClient`

prefix: `str` = (source)
from `twisted.internet.interfaces.IStreamServerEndpointStringParser`
See `IStreamServerEndpointStringParser.prefix`.
def _parseServer(self, reactor, domain, index): (source)
Internal parser function for `_parseServer` to convert the string arguments for a systemd server endpoint into structured arguments for `AdoptedStreamServerEndpoint`.

Parameters
reactor | An `IReactorSocket` provider.
domain:`str` | The domain (or address family) of the socket inherited from systemd. This is a string like `"INET"` or `"UNIX"`, ie the name of an address family from the `socket` module, without the `"AF_"` prefix.
index:`str` | An offset into the list of file descriptors inherited from systemd.
Returns
A two-tuple of parsed positional arguments and parsed keyword arguments (a tuple and a dictionary). These can be used to construct an `AdoptedStreamServerEndpoint`.

_sddaemon = (source)
A `ListenFDs` instance used to translate an index into an actual file descriptor.